video {
    width: 100%; height : 100dvh; object-fit: cover;
    position: absolute; top : 0; left : 0;
}

/* Section lié au widespread du Home */
    
.un {
    color : #fff9fd;
    font-size: 3dvw;
    display: flex; justify-content: center; align-items: center; flex-direction: column;
    height: 100dvh; width: 100%;
    text-align: center;
    text-shadow: 1px 1px 100px rgb(247, 252, 255);
    overflow-x: hidden ;
}
 
.un span
{
    color: white;
    z-index: 3;
}
#errorMsg{display: none;}
a {
    text-decoration: none;
}   
button {
    color : white;
    background-color: #ff6ab0;
    font-family: "Mitogen";
    border-radius: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    height : 5dvh;
    width : 100%;
    border: 1px solid #ff6ab0;
    box-shadow: 1px 1px 50px rgba(255, 255, 255, 0.267);
}
button:hover {
    cursor:pointer;
}
.moveable
{
    animation: 1s spawnText forwards;
}
@keyframes spawnText
{
    0%
    {
        filter : opacity(0) blur(10px);
    }100%
    {
        filter : opacity(1) blur(0);
    }
}
@keyframes dispawnText
{
    0%
    {
        filter : opacity(1) blur(0);
        width : 50%;
    }100%
    {
        filter : opacity(0) blur(10px);
        width : 0;
    }
}

/* Calendar */
#calendarContainer
{
    display:flex; flex-direction: column; align-items: flex-start; justify-content: center;
    height: 60dvh;
    width: 100%;
    position: fixed;
    color: white;
    bottom : -104dvh;
    transition: 1.5s;
}
#calendarContainer > div:first-child
{
    font-size: 5rem;
    background-color: #ff6ab0;
    height: 10dvh;
    width: 10dvh;
    margin-left: 1%;
}
#calendarContainer > div:first-child > img
{
    width: 100%;
}

#calendarContainer > div:last-of-type {
    width: 100%;
    background-color: #ff6ab0;
}

.fc .fc-toolbar.fc-header-toolbar {
    margin-bottom: unset;
    margin: 1.5em;
}

.fc-toolbar-chunk {
    display: flex;
}

.fc-timeGridWeek-view {
    width: 90%; max-height: 40%;
    margin : 0 auto;
}

#calendarContainer:hover
{
    transform: translateX(0);
}


@media screen and (max-width : 450px){
    .un {
        color : #fff9fd;        font-size: 2rem; text-align: center;
        display: flex;
        flex-direction: column;        justify-content: center;        align-items: center;
        text-shadow: 1px 1px 100px rgb(247, 252, 255);
        overflow-x: hidden ;
    }

    #calendarContainer {
        bottom : -64dvh;
    }
    #calendarContainer > div:first-child
    {
        margin-left: 5%;
    }
    #calendar {
        height: 80dvh;
    }
    .fc-timeGridWeek-view {
    max-height: 90%;
    }
    .fc-event-main {
        overflow: scroll;
    }
    .fc-timegrid-slots tr
    {
        height: 5dvh;
    }
}